# newgrf_sound.cpp File Reference

Handling NewGRF provided sounds. More...

`#include "stdafx.h"`
`#include "engine_base.h"`
`#include "newgrf.h"`
`#include "newgrf_engine.h"`
`#include "newgrf_sound.h"`
`#include "vehicle_base.h"`
`#include "sound_func.h"`

Go to the source code of this file.

## Functions
SoundEntry * | AllocateSound ()
void | InitializeSoundPool ()
SoundEntry * | GetSound (SoundID index)
uint | GetNumSounds ()
bool | PlayVehicleSound (const Vehicle *v, VehicleSoundEvent event)
bool | PlayTileSound (const GRFFile *file, SoundID sound_id, TileIndex tile)
## Variables
static SmallVector< SoundEntry, 8 > | _sounds

## Detailed Description

Handling NewGRF provided sounds.

Definition in file newgrf_sound.cpp.